CueFrame
Api

Cancel an async job

Cancel a running async job so an agent can abort a mis-priced/runaway operation without waiting out its TTL. Cancellation is durable and never meters. Already-terminal jobs are rejected (422 job_not_cancellable).

POST
/v1/jobs/{jobId}/cancel

Authorization

AuthorizationBearer <token>

API key auth. Prefix cf_live_ for production orgs, cf_test_ for sandbox.

In: header

Path Parameters

jobId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/jobs/string/cancel"
{  "id": "string",  "jobKey": "string",  "kind": "string",  "status": "running",  "progress": {    "phase": "string",    "percent": 0,    "message": "string"  },  "result": {    "geometry": {      "scale": 0,      "compositionWidth": 0,      "compositionHeight": 0,      "width": 0,      "height": 0    },    "warnings": [      {        "property1": null,        "property2": null      }    ],    "previewed": {      "source": "inline",      "compositionId": "string",      "etag": "string"    },    "listUsd": 0,    "artifacts": [      {        "id": "string",        "beatSec": 0,        "bytes": 1,        "contentType": "image/png",        "layers": {          "video": "string",          "overlays": 0        },        "url": "http://example.com",        "urlExpiresAt": "string"      }    ]  },  "error": {    "code": "string",    "message": "string"  },  "createdAt": "string",  "updatedAt": "string",  "completedAt": "string"}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "x402Version": 2,  "accepts": [    {}  ],  "error": "string"}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "contract": "string",    "contractVersion": "string",    "details": {      "property1": null,      "property2": null    }  }}